<?php
namespace OptionsTest\Mock;

use Options\Form\OptionsForm;
use Zend\Form\FieldsetInterface;

class MockOptionsForm extends OptionsForm
{
    /**
     * Dodaje polja za ove postavke u obrazac.
     *
     * @param FieldsetInterface $fieldset
     */
    function addOptionFields(FieldsetInterface $fieldset): void
    {
        $fieldset->add([
            'type' => 'text',
            'name' => 'param_1',
        ]);

        $fieldset->add([
            'type' => 'text',
            'name' => 'param_2',
        ]);
    }
}